关闭

Android SDK,ADT,以及API的理解

标签: androidsdkapiadt
87人阅读 评论(0) 收藏 举报
分类:


    一. Android ADT:

    按照官方网站的开发介绍:Android Development Tools (ADT) is a plugin for the Eclipse IDE that is designed to give you a powerful, integrated environment in which to build Android applications. 

    中文的意思,大概是ADT为了在Eclipse这个大的 IDE集成环境中构建Android应用程序而安装的一个插件。

    目前,主流的Android应用开发所用的开发工具是Eclipse,在Eclipse编译IDE环境中,安装ADT,为Android开发提供开发工具的升级或者变更,让你以,可以简单地理解ADT是在Eclipse下开发Android应用的的升级下载工具.ADT只是Eclipse里面的一个插件,在它里面可以设置sdk路径.也就是说,如果你不用Eclipse来开发Android应用,你是可以不需要安装ADT插件的.

    二.  Android SDK

    SDK:(software development kit) 软件开发工具包。一般是一些被软件工程师用于为特定的软件包、软件框架、硬件平台、操作系统等建立应用软件的开发工具的集合。

    The Android SDK provides you the API libraries and developer tools necessary to build, test, and debug apps for Android.(Android SDK提供了你的API函数库和开发工具,建立,测试和调试Android应用程序。)

    因此,Android SDK 指的是Android专属的软件开发工具包。在Android中,它为开发者提供了库文件以及其它开发所用到的工具。简单理解为开发工具包集合,是整体开发中所用到的工具包,如果你不用Eclipse作为你的开发工具,你就不需要下载ADT,只下载SDK即可开发。

   

    三.  Android API

    API (Application Programming Interface,应用程序编程接口).是一些预先定义的函数,目的是提供应用程序与开发人员基于某软件或硬件的以访问一组例程的能力,而又无需访问源码,或理解内部工作机制的细节.像Windows API, Linux API, Java API等.

    因此,Android API,顾名思义,就是Android 应用程序编程接口,Android程序开发可以直接调用的一系列相关函数.

 

      四.  Android SDK,ADT,API 版本的对应.

    如上面所说,使用Eclipse进行Android应用开发,可以安装ADT插件,然后在其里面设置所采用的SDK的路径,以达到对Android开发的图形化管理的目的.但需要注意的是,不同的Android SDK Tools,需要采用对应版本的ADT,不然的话,在Eclipse里面有提示类似这样的错误:

    This Android SDK requires Android Developer Toolkit version 17.0.0 or above.  Current version is 10.0.0.v201102162101-104271.  Please update ADT to the latest version.
    就是说你的ADT跟SDK版本不匹配,需要升级版本.

    而且,由于Android系统也是在一步一步地完善之中,因为,每一个SDK Tools,都有其对应的API函数.举个例子,在Android4.0及以上版本的系统中,Google加入了Wlan Direct的功能,允许无线网络中的Android设备无需通过无线路由器以点对点形式即可相互连接,类似于蓝牙技术,在传输速度与传输距离方面则比蓝牙有大幅提升.所以,在Android 4.0及以上的版本中,提供了点对点共享上网的API.而在此之前的Android版本,例如Android 2.3,则没有此API.

    因此,有必要弄清楚Android SDK,ADT以及API相应版本的对应关系.如下面所示: 

Android版本       SDK Tools          API级别      ADT版本                    系统代号

Android1.1              系统自带SDK               2              ADT-0.8.0.0                         BASE

Android1.5              R3/R6或更高                 3              ADT-0.9.1                            CUPCAKE            

Android1.6              R3/R4/R6或更高           4              ADT-0.9.3                            DOUNT  

Android2.0              R3或更高                       5              ADT-0.9.4                            ECLAIR

Android2.0.1           R4或更高                       6              ADT-0.9.4                            ECLAIR_0_1

Android2.1              R4/R6/R12或更高         7              ADT-0.9.5                            ECLAIR_MR1

Android2.2              R6/R12或更高               8              ADT-0.9.6.0                         FROYO   

Android2.2              R12或更高                     8              ADT-12.0.0                          FROYO

Android2.3              R8或更高                       9              ADT-8.0.1                            GINGERBREAD 

Android2.3.3           R9/R12或更高              10            ADT- 9.0.1                           GINGERBREAD_MR1    

Android2.3.4           R11或更高                    10            ADT-11.0.0                          GINGERBREAD_MR1

Android3.0              R10/R12或更高            11            ADT-9.0.0                            HONEYCOMB   

Android3.1              R11/R12或更高            12            ADT-11.0.0                          HONEYCOMB_MR1          

Android3.2              R12或更高                    13            ADT-12.0.0                          HONEYCOMB_MR2    

Android4.0              R14或更高                    14            ADT-14.0.0                          ICE_CREAM_SANDWICH         

Android4.0.3           R14或更高                    15            ADT-14.0.0                          ICE_CREAM_SANDWICH_MR          

Android4.0.3           R17或更高                    15            ADT-17.0.0                          ICE_CREAM_SANDWICH_MR1    

Android4.1              R20或更高                    16            ADT-20.0.0                          JELLY_BEAN           

Android4.2              R20或更高                    17            ADT-20.0.0                          JELLY_BEAN_MR1       

Android4.2.2           R21或更高                    17            ADT-21.0.0                          JELLY_BEAN_MR1       


  (引用,转载请注明出处:http://blog.csdn.net/luzhenrong45/article/details/9263791)



1
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:3383次
    • 积分:95
    • 等级:
    • 排名:千里之外
    • 原创:4篇
    • 转载:13篇
    • 译文:0篇
    • 评论:1条
    文章分类